import { Body, Controller, Get, Param, Post } from '@nestjs/common';
import { BlogPostsService } from './blogposts.service';
import { CreateBlogPostDto } from './dto/create-blog-post.dto';
import { BlogPost } from './blogpost.entity';

@Controller('blogposts')
export class BlogPostsController {

  constructor(private readonly blogPostsService: BlogPostsService) {}

  @Get()
  findAll(): Promise<BlogPost[]> {
    return this.blogPostsService.findAll();
  }

  @Get(':id')
  findOne(@Param('id') id: number): Promise<BlogPost | null> {
    return this.blogPostsService.findOne(id);
  }

  @Post()
  create(@Body() createBlogPostDto: CreateBlogPostDto): Promise<number> {
    return this.blogPostsService.create(createBlogPostDto);
  }
}
